Subject: [FEniCS-dev] dividing boundary

From: Brandon Chabaud <[email-masked]>
Date: Wed, 18 Feb 2009 09:49:20 -0600

Hello,

I am trying to use fenics to solve a 2D elasticity problem defined on the
unit square.  The boundary is divided into two parts.  Dirichlet boundary
conditions are applied to one part of the boundary and Neumann conditions
are applied to the other part.  In my .form file, I have used ds(0) and
ds(1) to indicate exterior facets on the Dirichlet and Neumann parts,
respectively.  I have extracted a mesh of the boundary using MeshBoundary.
My question is: How do I indicate which parts of the boundary mesh are
Dirichlet and which parts are Neumann?  Thank you.

Brandon Chabaud

---

From: Anders Logg <[email-masked]>
Date: Wed, 18 Feb 2009 17:38:58 +0100

On Wed, Feb 18, 2009 at 09:49:20AM -0600, Brandon Chabaud wrote:
> Hello,
> 
> I am trying to use fenics to solve a 2D elasticity problem defined on the unit
> square.  The boundary is divided into two parts.  Dirichlet boundary conditions
> are applied to one part of the boundary and Neumann conditions are applied to
> the other part.  In my .form file, I have used ds(0) and ds(1) to indicate
> exterior facets on the Dirichlet and Neumann parts, respectively.  I have
> extracted a mesh of the boundary using MeshBoundary.  My question is: How do I
> indicate which parts of the boundary mesh are Dirichlet and which parts are
> Neumann?  Thank you.
> 
> Brandon Chabaud

Take a look at demo/mesh/subdomains/ in DOLFIN and the demos in
demo/pde.

-- 
Anders